Subject: bug#38054: [bug#38395] Acknowledgement ([PATCH] gnu: mumble: Update to 1.3.0.)

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Fri, 20 Dec 2019 11:07:58 -0500

Ivan Vilata i Balaguer (2019-12-19 11:51:55 -0500) wrote:

> Efraim Flashner (2019-12-19 15:03:11 +0200) wrote:
> 
> > I merged the two patches together, made sure all the phases returned #t
> > and flushed out the commit message some more.
> 
> Thanks a lot!  Comparing your final patch against mine was also very
> instructive. `:)`

Before you close this issue, I upgraded my `mumble` package and many icons are
missing.  I didn't yet have time to further investigate it, but maybe it's
because of a difference I noticed between your patch:

    (modify-phases %standard-phases

and mine:

    (modify-phases (@ (guix build qt-build-system) %standard-phases)

So maybe the problem is that the final, wrapping phase of `qt-build-system` is
not being run.  Actually I see that `mumble` is a plain binary while in the
output from my patch, it was a wrapper script.

Thanks!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/